This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825512 - Review Request: python-django-threadedcomments - A simple yet flexible threaded commenting system for Django
Review Request: python-django-threadedcomments - A simple yet flexible thread...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-05-26 23:42 EDT by Domingo Becker
Modified: 2012-06-16 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:44:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2012-05-26 23:42:19 EDT
Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-threadedcomments.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-threadedcomments-0.5.3-1.fc18.src.rpm

Description: Django-threadedcomments is a Django application which allows for the simple creation of a threaded commenting system. It is flexible as well, 
partly due to its use of the same facilities that any other Django 
application would use.

Fedora Account System Username: beckerde
Comment 1 Matthias Runge 2012-05-29 03:22:12 EDT
I'll take this one.
Comment 3 Matthias Runge 2012-06-01 15:39:19 EDT
Some easy to fix issues:
- Requires: python-devel should be python2-devel

- I'm sure, you don't need 
BuildRequires: python-django

- please delete the first line 
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
you don't need it anymore

- make sure, the version and revision is higher than 0.5.3-3 (else you wouldn't obsolete the "older" version)

- I'd really appreciate, if you could be more specific in the files-section (this is not a must, but else you won't notice any change/unwanted files after any package update)
Comment 4 Domingo Becker 2012-06-14 23:11:35 EDT
Fixed all the items requested.

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-threadedcomments.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-threadedcomments-0.5.3-5.fc18.src.rpm

Sorry for the delay, I've been bu$y.
Comment 5 Matthias Runge 2012-06-15 16:18:21 EDT
(In reply to comment #4)
> Sorry for the delay, I've been bu$y.
No worries, we all have a life besides fedora!

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-django-threadedcomments-0.5.3-5.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-django-threadedcomments-0.5.3-5.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/825512/django-threadedcomments-0.5.3.tar.gz :
  MD5SUM this package     : d799f1f965dda12f75d9240a70f419f5
  MD5SUM upstream package : d799f1f965dda12f75d9240a70f419f5

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


One non-blocking minor (and my bad): Upstream provides tests. If you want to use them, you'll obviously need python-django as build req, and need to call that test during in your %check section.

Package is APPROVED
Comment 6 Domingo Becker 2012-06-16 16:42:02 EDT
New Package SCM Request
=======================
Package Name: python-django-threadedcomments
Short Description: A simple yet flexible threaded commenting system for Django
Owners: beckerde 
Branches: 
InitialCC:
Comment 7 Jon Ciesla 2012-06-16 18:21:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.